open All Channels
seplocked EVE Information Portal
blankseplocked New Dev Blog: EVE and ShaderModel support Episode II
 
This thread is older than 90 days and has been locked due to inactivity.


 
Pages: 1 [2] 3 4 5 6

Author Topic

Rimbombante
Posted - 2010.10.08 12:51:00 - [31]
 

Goodbye 9600XT... o7

Mashie Saldana
Minmatar
Veto Corp
Posted - 2010.10.08 12:53:00 - [32]
 

About bloody time, awesome.

Main PC - SM4.0
2.5 year old laptop - SM4.0
HTPC - SM4.0
File server with integrated graphics - not supported, rabble rabble rabble Laughing

Gun Hog
Caldari
APEX ARDENT COALITION
C0NVICTED
Posted - 2010.10.08 13:07:00 - [33]
 

My Craptop does not support SM3...Crying or Very sad. I am poor, so I guess I will be sticking to my PC. It sucks to be me in a world where in about 3 years now it might be possible for Android phones to run EVE.

I hope you guys do not plan on moving to SM4 for at least another 5 years!

Illwill Bill
Svea Crusaders
Posted - 2010.10.08 13:19:00 - [34]
 

Originally by: Rimbombante
Goodbye 9600XT... o7

He served well, and can retire with honour.

Ishina Fel
Caldari
Terra Incognita
Intrepid Crossing
Posted - 2010.10.08 13:21:00 - [35]
 

Edited by: Ishina Fel on 08/10/2010 13:24:16

So it's time for another "you must be this shady to play EVE" announcement Smile

...

(Shady. Shader Model. Get it? Argh, alright, fine, stop throwing rotten vegetables! Embarassed)

I support this move. It is a very long term notice, and I'm not at all surprised, considering that "a yet-to-be-announced date in Q2 2011" just happens to coincide so nicely with the expected release of Incarna/walking in stations and its associated graphics engine.

Honestly, the PC I had before I bought my current one four years ago already had SM3.0 support. Any video card that does not will be too slow to do more than sit in a station hangar anyway.

However, CCP, take note: You better include anti-aliasing this time around, or I shall take up the single pitchfork I found in the old garden shed, light a single torch leftover from halloween celebrations, and solo-angry-mob you all for great justice! Evil or Very Mad

Apollo Gabriel
Mercatoris
Etherium Cartel
Posted - 2010.10.08 13:24:00 - [36]
 

CCP Please allow a check of shader before you let people download the game.

I've had several friends decide to try eve, download it, go to bed, then try to install it to be very ****ed.

Yeah their video cards sucked, but seriously, it is easy to do, and does burn so much good will.

If someone runs the check and sees they can't play because their vid isn't good enough, they are more likely to upgrade and then try Eve, vs upgrade and not download that damn game again.

Kristie Morgan
Posted - 2010.10.08 13:33:00 - [37]
 

Originally by: Apollo Gabriel
CCP Please allow a check of shader before you let people download the game.

I've had several friends decide to try eve, download it, go to bed, then try to install it to be very ****ed.

Yeah their video cards sucked, but seriously, it is easy to do, and does burn so much good will.

If someone runs the check and sees they can't play because their vid isn't good enough, they are more likely to upgrade and then try Eve, vs upgrade and not download that damn game again.


Well, thats kind of their fault for not looking at the system requirements. I'd much rather see CCP devote effort to more useful things.

Also, glad to see Eve is moving further down the tech road. Cool

BaliAgha
Black Mesa Mavericks
Posted - 2010.10.08 13:39:00 - [38]
 

Edited by: BaliAgha on 08/10/2010 13:42:27
Ummm, the file you have us download to check our shader version is 0kb in size and the zip file has no files in it Wink

Might need to address..

Edit: After the third time downloading it looks like it actually downloaded something. Odd..

Serpents smile
Posted - 2010.10.08 13:43:00 - [39]
 

Originally by: BaliAgha
Edited by: BaliAgha on 08/10/2010 13:42:27
Ummm, the file you have us download to check our shader version is 0kb in size and the zip file has no files in it Wink

Might need to address..

Edit: After the third time downloading it looks like it actually downloaded something. Odd..
Microsoft.VC80.CRT.manifest msvcr80.dll SM3Checker.exe should be in it. Total crap on a mac of course.

TorTorden
Amarr
Posted - 2010.10.08 14:01:00 - [40]
 

Edited by: TorTorden on 08/10/2010 14:02:32
If memory serves a SM3 capable card should be in the <50$ range already, and thats new.

Might be a bigger issue for laptops, but then again, they arent as insane as before, there are just fine laptops out there in the normal 'office' price range with gpu's, as a thumb rule buy something thats not intel GMA, says "integrated" or shared graphics memory.

Ivanna Nuke
Gallente
Holders Of The Cowbell
Posted - 2010.10.08 14:05:00 - [41]
 

I fully support this move, may I also request we get DX11 support, and drop all support for Windows XP Very Happy

* basks in the hate *
Cool


Tres Farmer
Gallente Federation Intelligence Service
Posted - 2010.10.08 14:08:00 - [42]
 

Originally by: CCP Zulu
Originally by: Falkrich Swifthand
snip

So the real figure for people with less than SM 3.0 is between 9.1% and 12.7%. At least for the valve survey.

That's true, but the Steam survey isn't our only data point. We also believe EVE players to be more technologically advanced than the average gamer. Which I don't think is an unreasonable assumption :)

Will quote you on this once this goes life and we got some threads about it :D

About the rest of that blog.. nice PR. We'll see how that turned out in 15 months Cool

ChrisIsherwood
Posted - 2010.10.08 14:10:00 - [43]
 

1) can you tell us what the cutoff is for Macs since your app does not seem to run on them?

2) Any way this could be used to make sure the "everything but shooting" is in EVEGate by the same time? I.e., my guess is the number of people who have older graphics hardware on their main, at-home, PC is lower. A lot of the too old machines are work machines, previous machines, and laptops that people use for things like market orders and skill queues. Notes also that these will *not* show up on a STEAM/VALVE rerport as that will be running on the main machine. EVEGate will not help with dualboxing, but would at least address the check market / queue from work or previous machine sitting beside me.



Raquel Smith
Caldari
Freedom-Technologies
Sev3rance
Posted - 2010.10.08 14:11:00 - [44]
 

Edited by: Raquel Smith on 08/10/2010 14:13:57
Originally by: CCP Fallout
CCP Zulu's new dev blog details our future ShaderModel support. Read all about it here.


YOU INSENSITIVE CLOD!! Some of us do not run windows and find your .exe-containing-.zip file useless!

Apparently GT 330 is SM4. Horray.

Mkiaki
Gallente
Progressive Business Solutions
Posted - 2010.10.08 14:17:00 - [45]
 

Originally by: Raquel Smith
Edited by: Raquel Smith on 08/10/2010 14:13:57
Originally by: CCP Fallout
CCP Zulu's new dev blog details our future ShaderModel support. Read all about it here.


YOU INSENSITIVE CLOD!! Some of us do not run windows and find your .exe-containing-.zip file useless!

Apparently GT 330 is SM4. Horray.

LaughingLaughingLaughing


Brolly
Caldari
5ER3NITY INC
Posted - 2010.10.08 14:34:00 - [46]
 

Yey, good excuse to upgrade from this aging 8800GTS, granted it has SM 3 support, but I'm bored of it :P

Boo!, I won't be able to log into eve on my 3 year old lappy with the crappy intel GPU. Hopefully I'll have a new lappy by then with a good GPU that I can actually play eve on :D

Would love it if eve adopted DX11 suport as the universe would look awesome with that tesselation McGubbins and all those new bells and whistles.

Aineko Macx
Posted - 2010.10.08 14:38:00 - [47]
 

Quote:
Not only is this needed for EVE to look amazing, it's needed for EVE to perform better.

That's backwards.
You need players to upgrade, so you can add more shiny without client performance dropping too much. Also, if the minimum graphic settings are raised, client performance can be expected to get worse in fleet battles.

Not complaining about the announced change tho, both computers here are SM4.0 and 4.1.

Ivanna Nuke
Gallente
Holders Of The Cowbell
Posted - 2010.10.08 14:41:00 - [48]
 

Originally by: Brolly
Yey, good excuse to upgrade from this aging 8800GTS, granted it has SM 3 support, but I'm bored of it :P

Boo!, I won't be able to log into eve on my 3 year old lappy with the crappy intel GPU. Hopefully I'll have a new lappy by then with a good GPU that I can actually play eve on :D

Would love it if eve adopted DX11 suport as the universe would look awesome with that tesselation McGubbins and all those new bells and whistles.


I moved from a G92 8800GTS a few month back to a Sapphire 5770 1GB, awesome card works really well with EvE.

Eleana Tomelac
Gallente
Eclats de verre
Posted - 2010.10.08 14:42:00 - [49]
 

No more switching skills or trading/hauling from my eee pc...

Well, I've been thinking about replacing it for some time...

Mehrune Khan
Amarr
Posted - 2010.10.08 14:44:00 - [50]
 

It was nice they had the shader model 3 checker on the dev blog. I was worried my card wouldn't be able to play EVE but it will. I am using a 512mb ATI Radeon 4330, I can run EVE on high graphics settings right now, but have to turn bloom off or I get low fps. It will be nice to see what they will be doing with the 2011 expansion.

Abdiel Kavash
Caldari
Paladin Order
Fidelas Constans
Posted - 2010.10.08 14:50:00 - [51]
 

My laptop which I already consider old and will probably replace before this change happens runs SM3. If it makes development easier, I'm all for it.

Gehnster
Gallente
RED SUN RISING
Posted - 2010.10.08 14:51:00 - [52]
 

Why don't you guys just start collecting data yourselves on what EVE players do and don't have hardware wise?

Wouldn't it make your jobs a lot easier plus maybe allow us to get better and better graphics quicker if we are so much more advanced than average gamers? :)

Jason Edwards
Internet Tough Guy
Spreadsheets Online
Posted - 2010.10.08 14:52:00 - [53]
 

AMD 1090t
16gigs ram
2x HD5770

I hope my comp will be able to handle eve.

Desigre
Minmatar
Posted - 2010.10.08 14:55:00 - [54]
 

Edited by: Desigre on 08/10/2010 15:03:37
Originally by: CCP Zulu
Originally by: Falkrich Swifthand
Edited by: Falkrich Swifthand on 08/10/2010 10:06:28
I don't know about EVE players, but Valve's hardware survey shows that 85.5% of people have at least SM 4.0 (Direct-X 10 cards) and 6.0% of people have SM 2.0 or below. Unfortunately the category for the remaining 8.5% includes both SM 3.0 and SM 2.0b. Two cards in the detailed list (X700 and X800) are definitely SM 2.0b, for 3.1% of that, and some fraction of the "other" 3.6% will be too.

So the real figure for people with less than SM 3.0 is between 9.1% and 12.7%. At least for the valve survey.


That's true, but the Steam survey isn't our only data point. We also believe EVE players to be more technologically advanced than the average gamer. Which I don't think is an unreasonable assumption :)


Unfortunetly beliefs are not facts.

So how about ask your player base what hardware they run? Cant be that hard since you allready have that survey system in place somewhere since you allready ask some people something time to time.

Should get you some real facts to suport those decisions. Razz

And while you at it, can we get game bugfree before you fellows try to brake it even more? Please

And looks like my trusty acer aspire one can no longer serve as market order update terminal for me then. Crying or Very sad

Can we have market order management and skill que management in evegate by then atleast please?

Solbright
Advanced Security And Asset Protection
Posted - 2010.10.08 15:18:00 - [55]
 

Edited by: Solbright on 08/10/2010 15:22:20

I vote for a non-textured option for both running on old kit and fleet work.

This has the side benefit of not demanding new art every time there a revamp. :)


TheLostPenguin
Posted - 2010.10.08 16:03:00 - [56]
 

Originally by: Solbright
Edited by: Solbright on 08/10/2010 15:22:20

I vote for a non-textured option for both running on old kit and fleet work.

This has the side benefit of not demanding new art every time there a revamp. :)




So basicly you want the "classic" client back running old low res gfx that CCP discontinued with the move to SM2, because they didn't want to support 2 developement streams any more. Shame as that client was better in many ways than the "new" trinity one we're now playing the descendant of, but thats the decision they made a long time ago.

As for "Not only is this needed for EVE to look amazing, it's needed for EVE to perform better." I have to laugh, thers such disparity between diferent parts of the client theres far more avaliable with what we have, with this change there really isn't any excuse left for not supporting antialiasing in the client, or getting new ship/weapon models out there (seriously, I get having low-res option to use for fleet fights, but that the models are as old and ugly as at current makes a mockery of "We rework art assets to bring them to and beyond the industry standard" unless you compare to budget browser based MMOs).

Heres hoping this is a sign of some updates to the core client, and not just a sign that the incarna engine is going to be so bloated and inefficent that it'll require anyone not running absolute latest kit to turn settings way down.

CCP Zulu

Posted - 2010.10.08 16:42:00 - [57]
 

To the Mac users: This doesn't change anything, the minimum supported hardware has been Shader Model 3.0 for some time now as per here

Kabaos
Posted - 2010.10.08 16:48:00 - [58]
 

Hi.
Yes,really need to upgrade EVE i agree with S.M. 3.0
If we stay nothing cool not be!

Shaun Livingstone
Royal Fleet Auxiliary
Collegium Amarria
Posted - 2010.10.08 16:49:00 - [59]
 

OMGWTFBBQ! MY LAPTOP DOESN'T SUPPORT SM3 AND ITS ONLY 4 YEARS OLD AND IT WASNT EVEN TOP NOTCH BACK THEN!!!!oneoneonerabblerabblerabble

Finally a reason to get off my fat ass and buy a new computer. The gods be praised.

Elojs
Gallente
Corp 42
Posted - 2010.10.08 16:52:00 - [60]
 

Thank you for advising me that unless I shell out an exhorbitant amount of money, I will be unable to continue playing Eve after next year, until I actually obtain a position that pays me a respectable salary. Over the past year, Eve has been about the only luxury I have managed to afford on a continuing basis. I am not going to speak to the resentments felt by many in the player community about what appears to them to be CCP's lack of responsiveness upon any issue that doesn't qualify as low-hanging fruit, or unusually profitable for CCP. I understand the difficulty in maintaining legacy drivers, and I do agree with it.

However, I would point out that if you wish to force your entire player base to use Eve's minimum requirements as the benchmark for their personal computer systems, you will lose a substantial portion of your player base. Currently, I run Eve on a 5 year old laptop that does not support Shader 3.0. I do not have the resources to upgrade at the present time, nor is it likely that such an upgrade will be possible until I replace my 20 year old automobile, among other expenses that must take higher priority. Therefore, I shall have to quit Eve until such time as I can again afford to play, when the expansion makes it no longer possible to play, on that day, I will bid Eve goodbye.

Congratulations to CCP on mastering at least the worst points of Western Capitalism. Coercion of your customer base is right up there with the monopolistic practices of another large software firm based outside of Silicon Valley.

Try to develop a path that doesn't effectively exclude your customer base, or compel them to replace hardware that is otherwise satisfactory in order to run a single application that is used only a few hours per week.


*Idjits*

Games are not the be all and end all of existence!


Pages: 1 [2] 3 4 5 6

This thread is older than 90 days and has been locked due to inactivity.


 


The new forums are live

Please adjust your bookmarks to https://forums.eveonline.com

These forums are archived and read-only